RT_SIGTIMEDWAIT(2)

NAME
rt_sigtimedwait - Synchronously wait for queued signals specified in uthese

SYNOPSIS

long sys_rt_sigtimedwait (const sigset_t *uthese, siginfo_t *uinfo, const struct struct timespec *uts, size_t sigsetsize);

DESCRIPTION

rt_sigtimedwait synchronously waits for queued signals specified in uthese. The uinfo value, if non-NULL, indicates to the call to return a structure of type siginfo_t containing information about the signal. The uts variable enables an upper bound on the time for when the process is suspended. sigsetsize should indicate the size of a sigset_t type.

RETURN VALUE

rt_sigtimedwait returns 0 on success; otherwise, rt_sigqueueinfo returns one of the errors listed in the "Errors" section.

ERRORS

-EINVAL
    sigsetsize or uts was invalid.

-EFAULT
    uinfo was invalid.

-EAGAIN
    No signal in uthese was delivered in the uts time period.

-EINTR
    The wait period was interrupted by a signal handler.

SEE ALSO

rt_sigaction(2), rt_sigpending(2), rt_sigprocmask(2), rt_sigqueuinfo(2), rt_sigreturn(2), rt_sigsuspend(2)

AUTHOR
Niki Rahimi